/****************************************************************************/
/*

DESCRIPTION

	Contains the declaration of the callbacks used by the hypervisor to enter the agent.

COPYRIGHT

	Copyright 2008-2010 Freescale Semiconductor, Inc.

*/
/****************************************************************************/

#ifndef TRK_AGENT_H_
#define TRK_AGENT_H_

#include <libos/console.h>
#include <libos/trapframe.h>
#include <byte_chan.h>

#define TRACE(fmt, info...) \
		printlog(LOGTYPE_DEBUG_STUB, \
		LOGLEVEL_NORMAL, \
		"%s@[%s, %d]: " fmt "\n", \
		__func__, __FILE__, __LINE__, ## info)

#define ZERO_MALLOC(data, type)  \
	data = malloc(sizeof(type)); \
	memset(data, 0, sizeof(type));

void trk_agent_init( void );

void trk_agent_vcpu_start(trapframe_t *start_frame);

void trk_agent_vcpu_stop( void );

int trk_agent_process_trap( trapframe_t *trap_frame );

void trk_agent_event_handler( trapframe_t *trap_frame );


void TransportIrqHelper( queue_t *q, int blocking );

#endif /* TRK_AGENT_H_ */
