/****************************************************************************/
/*

DESCRIPTION

	Target-specific implementation info for debugging output.

	See the header files <usr_put.h>/<usr_put.c>, which contain
	the portable debug output routines and API.

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.

*/
/****************************************************************************/

/*
** Define any combination of these two.  Note that serial debug output
** uses the same serial channel as the TRK commands themselves.  It is
** useful for manual debugging, but is not likely to work with the host
** plugin.
*/
#include <libos/printlog.h>

#define TRK_LOGLEVEL LOGLEVEL_DEBUG

#undef DEBUGIO_SERIAL			/* define for writing out to serial port */
#undef DEBUGIO_RAM				/* define for writing to memory */
//#define DEBUGIO_SERIAL
//#define DEBUGIO_RAM
#if (TRK_LOGLEVEL <= CONFIG_LIBOS_DEFAULT_LOGLEVEL)
#define DEBUGIO_CUSTOM  /* only define the logging if we are able to show in hypervisor console */
#else
#undef DEBUGIO_CUSTOM
#endif

/*
** When DEBUGIO_RAM is defined, then defining DB_RAM_CONSOLE_DUMP will
** cause the debug output in the RAM buffer to be periodically
** dumped to the console (stdout) via the kDSWriteFile command.  This
** is useful when using the host plugin to drive CodeWarriorTRK, since the
** debug output will appear in the debugger's console window.  Note,
** however, that there are only certain times that the console dump
** can reliably be done.  Currently it is only done when the debugger tells
** CodeWarriorTRK to step or execute the target program.  Debug output
** in between these times is queued up until the next dump opportunity.
*/
#ifdef DEBUGIO_RAM
	#undef DB_RAM_CONSOLE_DUMP	/* define for dumping debug buffer to console */
#endif

/*
** Define a buffer to receive debugging output when DEBUGIO_RAM is
** defined.
*/

#ifdef DEBUGIO_RAM
	#define	DB_START ((char *) 0x0700000)		/* start of debug buffer */
	#define	DB_END   ((char *) 0x0720000)		/* end of debug buffer */
#endif

/*
 ** We ask TRK agent to use std malloc functions
 */
#define DS_MALLOC_MAPPING 2

#include "usr_put_hyper.h"

