/****************************************************************************/
/*

DESCRIPTION

	Contains Topaz hypervisor implementation of trk logging facility.

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.
*/
/****************************************************************************/

#include "usr_put_hyper.h"
#include "usr_put_config.h"
#include "PrivateData.h"

#ifdef DEBUGIO_CUSTOM

#define HYPER_LOG(toLog) \
	printlog(LOGTYPE_DEBUG_STUB, \
	TRK_LOGLEVEL, \
	"[TRK] Log=[%s]\n", toLog)

void usr_put_initialize_custom( void )
{
	/* must be called after trk private virtual cpu data has been initialized */
	TrkLogBuffer* perCpuLogBuffer = (TrkLogBuffer*)malloc(sizeof(TrkLogBuffer));
	perCpuLogBuffer->logCount = 0;
	PRIVATE_DATA_HYPER(LOG_BUFFER) = perCpuLogBuffer;
}

/* for now just buffer incoming log chars until endLogToken is met
 * or buffer is full
 */
#define endLogToken '\n'
#define skipLogToken '\r'

int usr_putchar_custom(int toLog)
{
	short logCount = 0;
	char* logMessage = NULL;

	TrkLogBuffer* log = PRIVATE_DATA_HYPER(LOG_BUFFER);
	logCount   = log->logCount;
	logMessage = log->logMessage;

	if ((toLog == endLogToken) || (logCount >= MAX_LOG_COUNT))
	{
		logCount = (logCount > MAX_LOG_COUNT)? MAX_LOG_COUNT : logCount;
		logMessage[logCount] = '\0';
		HYPER_LOG(logMessage);

		logCount = 0;
	}
	else if (toLog != skipLogToken)
	{
		logMessage[logCount++] = toLog;
	}
	log->logCount = logCount;
	return 0;
}

#endif

