/****************************************************************************/
/*

DESCRIPTION

	Target-specific implementation for PowerPC P4080

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.

*/
/****************************************************************************/


#include "trk_prefix.h"
#include "dstypes.h"
#include "target.h"
#include "targimpl.h"
#include "targimpl_ppc.h"


/****************************************************************************/
/*
 *	TargetCPUMinorType
 *
 *	Determines the CPU minor type.
 */
/****************************************************************************/
ui8 TargetCPUMinorType( void )
{
	ui32 pvr;
	asm volatile("mfspr %0, %1" :
	             "=&r" (pvr) :
	             "i" (SPR_PVR) );
	switch( pvr >> 16 )
	{
		case _QorIQ_P4_VERSION:
			return( DS_CPU_PPC_E500MC );
		case _PQ38_VERSION:
			return( DS_CPU_PPC_E500V2 );

		default:
			return( DS_CPU_PPC_603E );

	}
}
