/****************************************************************************/
/*


DESCRIPTION

	Header file containing macros and definitions specific to the
	Freescale MPC85xx processor model.

COPYRIGHT

	Copyright 2008-2009 Freescale Semiconductor, Inc.

*/
/****************************************************************************/

#pragma once


#define CONFIG_BOOKE		1


/*
** Define __PPC_FPU__ to 1 if the processor has an FPU.
*/

#define __PPC_FPU__					(0) /* set to 1 if FPU present */


/*
** Define __PPC_FPU_FPECR__ to 1 if the processor has the
** FPECR register.  Note that if __PPC_FPU__ is 0, then
** the value of __PPC_FPU_FPECR__ is ignored.
*/

#define __PPC_FPU_FPECR__			(0) /* set to 1 if FPECR register present */

/*
** Define __PPC_DCACHE__ to 1 if the processor has a data cache.
*/

#define __PPC_DCACHE__				(0) /* set to 1 if data cache present */

/*
** Define __PPC_ICACHE__ to 1 if the processor has an instruction cache.
*/

#define __PPC_ICACHE__				(0) /* set to 1 if inst. cache present */

/*
** Define __PPC_BOOT_CONFIG__ to 1 if the processor gets boot
** configuration data from the first 0x100 bytes of ROM.
*/

#define __PPC_BOOT_CONFIG__			(0) /* set to 1 boot config in ROM 0..0x100 */


/*
** When CodeWarriorTRK gets an internal exception, it "recovers" by
** restarting execution at the next instruction.  Some exception
** types will return to the same instruction that caused the
** exception.  For those types, the instruction must be skipped
** in order for the restart to work.  By default, CodeWarriorTRK
** does the instruction skip for exception ID's 0x200, 0x300,
** 0x400, 0x600, 0x700, and 0x800.  Additional ID's which
** require instruction skip for this processor model should
** be specified below.  If additional ID's are not required,
** leave these macros undefined.
**
** Note: The exception ID is the offset of the corresponding
** handler for that exception in the handler table.
*/

#define PPC_INSTR_SKIP_EXCEPTION1	(0x1000)
#define PPC_INSTR_SKIP_EXCEPTION2	(0x1100)
#define PPC_INSTR_SKIP_EXCEPTION3	(0x1200)
#define PPC_INSTR_SKIP_EXCEPTION4	(0x1300)

/*
** Define __PPC_TGPR__ to 1 if the processor implements TGPR in
** bit 14 of the MSR.
**
** Note: It is safe to set this to one if bit 14 of the MSR is
** a reserved bit.  It is not safe if bit 14 of the MSR implements
** some function other than TGPR.
*/

#define __PPC_TGPR__				(0)


/*
** Define __PPC_ALTIVEC__ to 1 if the processor has AltiVec support.
**
*/

#define __PPC_ALTIVEC__				(0)

