/******************************************************************************************/
/*

DESCRIPTION

	Command dispatcher

	OverrideDispatch
		note: if DispatchEntry* returnedOldEntry is NULL, the old entry is lost
		
COPYRIGHT

	Copyright 1999, 2002, 2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef TRK_DISPATCH_H
#define TRK_DISPATCH_H

#include "dserror.h"
#include "msgbuf.h"
#include "target.h"
#include "msgcmd.h"

enum {
	kDispatchErr = 0x500		/* generic dispatcher error */
};

#define VIRTUAL_DISPATCH
#ifdef VIRTUAL_DISPATCH

typedef DSError (*DispatchFunctionPtr) (MessageBuffer* b);
	/*
	 *	DispatchFunctionPtr		type of function pointer
	 *	DSError					return value's type
	 *	MessageBuffer*			buffer for the message
	 */			
		
typedef struct DispatchEntry {
	DispatchFunctionPtr		fn;
} DispatchEntry;

extern unsigned int 	gDispatchTableSize;
extern DispatchEntry	gDispatchTable[];

#endif /* VIRTUAL_DISPATCH */

/****************************************************************************/

__extern_c

	DSError InitializeDispatcher(void);

#ifdef VIRTUAL_DISPATCH
	DSError	OverrideDispatch(MessageCommandID, const DispatchEntry* newEntry,
								 DispatchEntry* returnedOldEntry);
#endif
	DSError DispatchMessage(MessageBuffer*);

__end_extern_c

#endif /* ndef TRK_DISPATCH_H */
