/******************************************************************************************/
/*

DESCRIPTION

	Hardware interface (drivers) header file	

COPYRIGHT

	Copyright 2002, 2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __ETHCONFIG_H__
#define __ETHCONFIG_H__

#include "dserror.h"
#include "dstypes.h"

/****************************************************************************/
/*                                                                          */
/* Type definitions                                                         */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/*
** Structure Name...........:
**		TrkEthConfig
**
** Description..............:
** 		Holds the configuration for an ethernet connection.
**
** Fields...................:
**      active..............: the port and channel is active
**      used................: the port and channel is used by CodeWarriorTRK
** 		port................: port type
**      channel.............: channel number
**      funcPtr.............: pointer to the transport layer functions
*/
/****************************************************************************/

typedef struct TrkEthConfig
{
	ui32		options;
	ui32		address;
	ui32		port;
	ui32		gateway;
	ui32		netmask;
} TrkEthConfig;

/****************************************************************************/
/*                                                                          */
/* Function Prototypes                                                      */
/*                                                                          */
/****************************************************************************/

/* Core */

__extern_c

	DSError TrkGetEthConfig( TrkEthConfig *config );
	DSError TrkSetEthConfig( const TrkEthConfig *config );

__end_extern_c

#endif /* __ETHCONFIG_H__ */
