/******************************************************************************************/
/*
	
DESCRIPTION

	Event notification from CWDS to host debugger.
	
COPYRIGHT

	Copyright 1999, 2000, 2002, 2006, 2007, 2009, 2010 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __NOTIFY_H__
#define __NOTIFY_H__

#include "target.h"
#include "msgcmd.h"
#include "msgbuf.h"

enum {
	kWaitACKError = 0x0800				/* DSError type */
};

__extern_c

	/*
	 *	meta command set
	 */
	DSError DoNotifyStopped( MessageCommandID command
#if DS_PROTOCOL == DS_PROTOCOL_RTOS
						, ui32 process_id, ui32 thread_id
#endif
							);
	DSError DoNotifyCoreReleased( ui32 coreID );
	DSError DoNotify( MessageBuffer *buffer );

__end_extern_c

#endif /* __NOTIFY_H__ */
