/******************************************************************************************/
/*

DESCRIPTION

	Standalone assertions for the CodeWarrior Debugger Server for
	embedded products (TRK).
	
COPYRIGHT

	Copyright 1999, 2000, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef _NUBASSRT_H_
#define _NUBASSRT_H_

#include "dstypes.h"
#include "usr_put.h"

/* 
** Undefine DEBUG_ASSERT to 1 in order to get ASSERTS.  Normally this
** would be defined to 0 in order to improve code size and speed.
** At the moment it is automatically set to 1 when debug output is
** enabled (see usr_put.h).
*/


#undef ASSERT
#undef FAIL

#if !DEBUG_ASSERT

	#define ASSERT(condition) ((void) 0)
	#define FAIL(condition) ((void) 0)

#else

	#define ASSERT(condition) ((condition) ? ((void) 0) : NubAssertionFailed(#condition, __FILE__, __LINE__, false))
	#define FAIL(condition) ((condition) ? ((void) 0) : NubAssertionFailed(#condition, __FILE__, __LINE__, true))
	
#endif /* #if !DEBUG_ASSERT */


#ifdef __extern_c
__extern_c
#endif

void NubAssertionFailed(char * condition, char * filename, int lineno, bool die);

#ifdef __end_extern_c
__end_extern_c
#endif



#endif /* _NUBASSRT_H_ */
